function fnValidateVendorMaster() {
    var himsValidator = [
                         new hims_ctl_val('ctl00_CP_CodeTextBox', "Code", "T", "", "", "", 20),
                         new hims_ctl_val('ctl00_CP_NameTextBox', "Name", "T", "", "", "", 20),
                         new hims_ctl_val('ctl00_CP_CategoryDropDownList', "Category", "T", "", "", "", 20),
                          new hims_ctl_val('ctl00_CP_CreditTermsTextBox', "Credit Terms(Days)", "T", "", "", "", 20)
    ];
    if (fnDoValidate(himsValidator))
        return true;
    else
        return false;
}
function uppercase() {
    key = window.event.keyCode;
    if ((key > 0x60) && (key < 0x7B))
        window.event.keyCode = key - 0x20;
}
function fnClearTabIndexChange() {
    if (gE('ctl00_CP_NameTextBox').disabled == false)
        gE('ctl00_CP_NameTextBox').focus();
}
function checkEmail(txt) {
    if (fnTrim(txt.value).length == 0) {

        return true;
    }
    if (fnValidateEmail(txt.value)) {
        ResetMessageBox();
        return (true);
    }
    SetMessageBox("Email Format Is Not Correct", 'error');
    return (false);
}

function OpenFileUpload() {
    $('#flUpload').click();
}

var reader = new FileReader();
reader.onload = function (e) {
}

function readURL(input) {
    if (input.files && input.files[0]) {
        reader.readAsDataURL(input.files[0]);
        ajaxFileUpload();
    }
}

function LoadingMessage(msg1, msg2) {
    $('#dvTestLoadingmsg').show();
    $('#spn1msg').html(msg1);
    $('#spn2msg').html(msg2);
    $('.hls-bg').show();
}

function CloseLoadingpopup() {
    $('#dvTestLoadingmsg').hide();
    $('.hls-bg').hide();
}

function ajaxFileUpload() {
    if (ValidateImageDetails()) {
        LoadingMessage('Uploading', '<b>Please Wait</b>');
        $("#loading").ajaxStart(function () {
            $(this).show();
        }).ajaxComplete(function () {
            $(this).hide();
        });
        $.ajaxFileUpload({
            url: '/UserControls/MultiFileUpload/common-file-upload.ashx',
            secureuri: false,
            fileElementId: 'flUpload',
            dataType: 'text',
            contentType: "application/json; charset=utf-8",
            data: { name: 'logan', id: 'id', hdn: '1' },
            success: function (response, status) {
                if (response == "-007") {
                    alert('Cannot upload file as the used space exceeds allocated space')
                    return
                }
                if (response == "-008") {
                    alert('Invalid Extention')
                    return
                }
                if (response == "-009") {
                    alert('Cannot include / or .. in a filename')
                    return;
                }
                window.setTimeout(function () {
                    CloseLoadingpopup();
                    $("#ctl00_CP_UploadLabel").text("Uploaded Successfully");
                }, 100);
            },
            error: function (response, status, e) {
                window.setTimeout(function () {
                    CloseLoadingpopup();
                }, 100);
            }
        })
        return false;
    }
}

function isFile(file) {
    var video = /\.(xls|)$/i;

    if (video.test(file.toLowerCase()))
        return true;
    else
        return false;
}

function ValidateImageDetails() {
    var fields;
    fields = "";
    var file = document.getElementById('flUpload').value;
    if (fields != "") {
        fields = "Please fill in the following details:\n------------------------------------" + fields;
        alert(fields);
        return false;
    }
    else {
        return true;
    }
}